cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'const url = 'https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout';
const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'PATCH',
hostname: 'app.teable.ai',
port: null,
path: '/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({layout: [{pluginInstallId: 'string', x: 0, y: 0, w: 0, h: 0}]}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"layout\":[{\"pluginInstallId\":\"string\",\"x\":0,\"y\":0,\"w\":0,\"h\":0}]}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("PATCH", "/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"layout": [
{
"pluginInstallId": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
]
}plugin-panel
Patch table plugin panel layout
Update the layout of a plugin panel
PATCH
/
table
/
{tableId}
/
plugin-panel
/
{pluginPanelId}
/
layout
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Show child attributes
Show child attributes
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

